CMSIS-Driver: CAN Filter Operation Codes

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations
CAN Filter Operation Codes
CAN Control Codes

Set CAN filter manipulation codes. More...

## Enumerations

enum | ARM_CAN_FILTER_OPERATION { ARM_CAN_FILTER_ID_EXACT_ADD, ARM_CAN_FILTER_ID_EXACT_REMOVE, ARM_CAN_FILTER_ID_RANGE_ADD, ARM_CAN_FILTER_ID_RANGE_REMOVE, ARM_CAN_FILTER_ID_MASKABLE_ADD, ARM_CAN_FILTER_ID_MASKABLE_REMOVE }

## Description

Set CAN filter manipulation codes.

## Enumeration Type Documentation

enum ARM_CAN_FILTER_OPERATION

ARM_CAN_FILTER_OPERATION provides the controls for setting the filter type. Refer to CAN Message Filtering for details.

Parameter for:

- ARM_CAN_ObjectSetFilter

Enumerator
ARM_CAN_FILTER_ID_EXACT_ADD | Add exact id filter.
ARM_CAN_FILTER_ID_EXACT_REMOVE | Remove exact id filter.
ARM_CAN_FILTER_ID_RANGE_ADD | Add range id filter.
ARM_CAN_FILTER_ID_RANGE_REMOVE | Remove range id filter.
ARM_CAN_FILTER_ID_MASKABLE_ADD | Add maskable id filter.
ARM_CAN_FILTER_ID_MASKABLE_REMOVE | Remove maskable id filter.